Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
[Java] Class ObjectRange

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              groovy.lang.ObjectRange

All Implemented Interfaces:
  Range

    public class ObjectRange
    extends AbstractList

Represents an inclusive list of objects from a value to a value using comparators.

This class is similar to IntRange. If you make any changes to this class, you might consider making parallel changes to IntRange.

Authors:
  James Strachan

Version:
  \$Revision: 20589 \$

Constructor Summary
`ObjectRange(Comparable from, Comparable to)` Creates a new ObjectRange.
`ObjectRange(Comparable from, Comparable to, boolean reverse)`

Method Summary
`boolean` | `contains(Object value)`
`boolean` | `containsWithinBounds(Object value)` Checks whether a value is between the from and to values of a Range
`protected Object` | `decrement(Object value)` Decrements by one
`boolean` | `equals(Object that)` {@inheritDoc}
`boolean` | `equals(ObjectRange that)` Compares an ObjectRange to another ObjectRange.
`Object` | `get(int index)` {@inheritDoc}
`Comparable` | `getFrom()` {@inheritDoc}
`Comparable` | `getTo()` {@inheritDoc}
`protected Object` | `increment(Object value)` Increments by one
`String` | `inspect()` {@inheritDoc}
`boolean` | `isReverse()` {@inheritDoc}
`Iterator` | `iterator()` {@inheritDoc}
`int` | `size()` {@inheritDoc}
`void` | `step(int step, Closure closure)` {@inheritDoc}
`List` | `step(int step)` {@inheritDoc}
`List` | `subList(int fromIndex, int toIndex)` {@inheritDoc}
`String` | `toString()` {@inheritDoc}

Methods inherited from class AbstractList
add, add, get, equals, hashCode, indexOf, clear, lastIndexOf, subList, addAll, iterator, remove, set, listIterator, listIterator, toString, size, isEmpty, contains, toArray, toArray, addAll, remove, containsAll, removeAll, retainAll, wait, wait, wait, getClass, notify, notifyAll, size

Methods inherited from class AbstractCollection
add, toString, clear, size, isEmpty, contains, toArray, toArray, addAll, iterator, remove, containsAll, removeAll, retainAll, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ObjectRange

    public ObjectRange(Comparable from, Comparable to)

  Creates a new ObjectRange. Creates a reversed range if `from` < `to`.
  Parameters:
    `from` - the first value in the range.
    `to` - the last value in the range.

### ObjectRange

    public ObjectRange(Comparable from, Comparable to, boolean reverse)

Method Detail

### contains

    public boolean contains(Object value)

### containsWithinBounds

    public boolean containsWithinBounds(Object value)

  Checks whether a value is between the from and to values of a Range
  Parameters:
    `value` - the value of interest
  Returns:
    true if the value is within the bounds

### decrement

    protected Object decrement(Object value)

  Decrements by one
  Parameters:
    `value` - the value to decrement
  Returns:
    the decremented value

### equals

    public boolean equals(Object that)

  {@inheritDoc}

### equals

    public boolean equals(ObjectRange that)

  Compares an ObjectRange to another ObjectRange.
  Parameters:
    `that` - the object to check equality with
  Returns:
    `true` if the ranges are equal

### get

    public Object get(int index)

  {@inheritDoc}

### getFrom

    public Comparable getFrom()

  {@inheritDoc}

### getTo

    public Comparable getTo()

  {@inheritDoc}

### increment

    protected Object increment(Object value)

  Increments by one
  Parameters:
    `value` - the value to increment
  Returns:
    the incremented value

### inspect

    public String inspect()

  {@inheritDoc}

### isReverse

    public boolean isReverse()

  {@inheritDoc}

### iterator

    public Iterator iterator()

  {@inheritDoc}

### size

    public int size()

  {@inheritDoc}

### step

    public void step(int step, Closure closure)

  {@inheritDoc}

### step

    public List step(int step)

  {@inheritDoc}

### subList

    public List subList(int fromIndex, int toIndex)

  {@inheritDoc}

### toString

    public String toString()

  {@inheritDoc}

Copyright © 2003-2010 The Codehaus. All rights reserved.